Package org.apache.felix.http.base.internal.runtime.dto

# Class ServletContextDTOBuilder

java.lang.Object
org.apache.felix.http.base.internal.runtime.dto.ServletContextDTOBuilder

public final class ServletContextDTOBuilder extends Object

## Constructor Summary

Constructors
Constructor
Description
`ServletContextDTOBuilder()`

## Method Summary

Modifier and Type
Method
Description
`static org.osgi.service.servlet.runtime.dto.ServletContextDTO`
`build(ServletContextHelperInfo info, jakarta.servlet.ServletContext context, int reason)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ServletContextDTOBuilder

public ServletContextDTOBuilder()

## Method Details

### build

public static org.osgi.service.servlet.runtime.dto.ServletContextDTO build(ServletContextHelperInfo info, jakarta.servlet.ServletContext context, int reason)